Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider.sftp
Class SftpFileProvider

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractVfsComponent
          org.apache.commons.vfs.provider.AbstractVfsContainer
              org.apache.commons.vfs.provider.AbstractFileProvider
                  org.apache.commons.vfs.provider.AbstractOriginatingFileProvider
                      org.apache.commons.vfs.provider.sftp.SftpFileProvider

All Implemented Interfaces:
  FileProvider, VfsComponent

public class SftpFileProvider
extends AbstractOriginatingFileProvider

A provider for accessing files over SFTP.

Version:
  $Id: SftpFileProvider.java 480428 2006-11-29 06:15:24Z bayard $
Author:
  Adam Murdoch, Gary D. Gregory

Field Summary
`static String` | `ATTR_USER_INFO`
`static UserAuthenticationData.Type[]` | `AUTHENTICATOR_TYPES`
`protected static Collection` | `capabilities`

Constructor Summary
`SftpFileProvider()`

Method Summary
`protected FileSystem` | `doCreateFileSystem(FileName name, FileSystemOptions fileSystemOptions)` Creates a `FileSystem`.
`Collection` | `getCapabilities()` Get the filesystem capabilities.
`FileSystemConfigBuilder` | `getConfigBuilder()` Gets the configbuilder useable to collect the needed fileSystemOptions.
`void` | `init()` Initialises the component.

Methods inherited from class org.apache.commons.vfs.provider.AbstractOriginatingFileProvider
`findFile, findFile`

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileProvider
`addFileSystem, close, closeFileSystem, createFileSystem, findFileSystem, freeUnusedResources, getFileNameParser, parseUri, setFileNameParser`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsContainer
`addComponent, removeComponent`

Methods inherited from class org.apache.commons.vfs.provider.AbstractVfsComponent
`getContext, getLogger, setContext, setLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### capabilities

    protected static final Collection capabilities

### ATTR_USER_INFO

    public static final String ATTR_USER_INFO

See Also:
  Constant Field Values

### AUTHENTICATOR_TYPES

    public static final UserAuthenticationData.Type[] AUTHENTICATOR_TYPES

Constructor Detail

### SftpFileProvider

    public SftpFileProvider()

Method Detail

### doCreateFileSystem

    protected FileSystem doCreateFileSystem(FileName name,
                                            FileSystemOptions fileSystemOptions)
                                     throws FileSystemException

  Creates a `FileSystem`.

  Specified by:
    `doCreateFileSystem` in class `AbstractOriginatingFileProvider`
  Parameters:
    `name` - The name of the root file of the file system to create.
  Throws:
    `FileSystemException`

### init

    public void init()
              throws FileSystemException

  Initialises the component.

  Specified by:
    `init` in interface `VfsComponent`
  Overrides:
    `init` in class `AbstractVfsComponent`
  Throws:
    `FileSystemException`

### getConfigBuilder

    public FileSystemConfigBuilder getConfigBuilder()

  Description copied from interface: `FileProvider`
  Gets the configbuilder useable to collect the needed fileSystemOptions.

  Specified by:
    `getConfigBuilder` in interface `FileProvider`
  Overrides:
    `getConfigBuilder` in class `AbstractFileProvider`

### getCapabilities

    public Collection getCapabilities()

  Description copied from interface: `FileProvider`
  Get the filesystem capabilities.
  These are the same as on the filesystem, but available before the first filesystem was instanciated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.